diff --git a/webapp/src/views/fin/txn/apportion.vue b/webapp/src/views/fin/txn/apportion.vue
index ad1d0e909580b9fe3c9ba4b50cc1a18c939e7b96..01a173ea1d7c951fd4e210799e8cf3d3197eba44 100644
--- a/webapp/src/views/fin/txn/apportion.vue
+++ b/webapp/src/views/fin/txn/apportion.vue
@@ -1,26 +1,103 @@
 <template>
     <div class="index-lists">
         <el-card class="!border-none mt-4" shadow="never">
-            <div>
-                <el-button v-perms="['fin:debt:add']" type="primary" @click="handleAdd()">
-                    <template #icon>
-                        <icon name="el-icon-Plus" />
-                    </template>
-                    新增
-                </el-button>
+            <el-form ref="formRef" class="mb-[-16px]" :model="queryParams" :inline="true">
+                <el-form-item label="时间">
+                    <el-date-picker
+                            v-model="queryParams.peroid"
+                            type="daterange"
+                            range-separator="-"
+                            format="YYYY-MM-DD"
+                            value-format="YYYY-MM-DD"
+                            start-placeholder="开始时间"
+                            end-placeholder="结束时间"
+                            clearable
+                            style="width:180px"
+                    ></el-date-picker>
+                </el-form-item>
+                <el-form-item label="区域">
+                    <el-tree-select
+                            clearable
+                            v-model="queryParams.areaId"
+                            :data="options.areaOptions"
+                            :render-after-expand="false"
+                            :check-strictly="true"
+                            :props="{ label: 'name', children: 'children' }"
+                            node-key="id"
+                    />
+                </el-form-item>
+                <el-form-item label="房屋">
+                    <el-input class="w-[150px]" v-model="queryParams.houseName" clearable placeholder="请输入房屋"/>
+                </el-form-item>
+                <el-form-item label="仪表类型" prop="ownerName">
+                    <el-select class="w-[280px]" v-model="queryParams.meterType">
+                        <el-option label="电表" value="电表" />
+                        <el-option label="热水表" value="热水表" />
+                        <el-option label="冷水表" value="冷水表" />
+                    </el-select>
+                </el-form-item>
+                <el-form-item>
+                    <el-button type="primary" @click="resetPage">查询</el-button>
+                    <el-button @click="resetParams">重置</el-button>
+                </el-form-item>
+            </el-form>
+        </el-card>
+        <el-card class="!border-none mt-4" shadow="never">
+            <el-table
+                    class="mt-4"
+                    size="large"
+                    style="height: calc(100vh - 339px)"
+                    v-loading="pager.loading"
+                    :data="pager.lists"
+            >
+                <el-table-column label="区域" prop="areaName" min-width="110" />
+                <el-table-column label="厂房" prop="houseName" min-widtha="110" />
+                <el-table-column label="类型" prop="paymentMethod" min-width="110" />
+                <el-table-column label="金额" prop="amount" min-width="110" />
+                <el-table-column label="交易方式" prop="paymentMethod" min-width="110" />
+                <el-table-column label="交易时间" prop="payTime" min-width="110" />
+                <el-table-column label="收款人" prop="payee" min-width="110" />
+                <el-table-column label="备注" prop="remark" min-width="110" />
+            </el-table>
+            <div class="flex justify-end mt-4">
+                <pagination v-model="pager" @change="getLists" />
             </div>
-            {{'#####################'}}
         </el-card>
     </div>
 </template>
-<script lang="ts" setup name="txnApportionment">
+<script lang="ts" setup name="txnEcb">
+
+    import { listAreaTree} from '@/api/fin/common'
+    import { usePaging } from '@/hooks/usePaging'
+    import { listShared } from '@/api/fin/report'
+    import {format} from 'date-fns';
+
+    const queryParams = reactive({
+        id: '',
+        areaId: '',
+        houseName: '',
+        ownerName: '',
+        meterType: '',
+        feeAction: '',
+    })
 
-import feedback from '@/utils/feedback'
+    const { pager, getLists, resetPage, resetParams } = usePaging({
+        fetchFun: listShared,
+        params: queryParams
+    })
 
-const queryParams = reactive({
+    const options = reactive({
+        areaOptions: [],
+    })
 
-})
+    const formatDate = (date: any) => {
+        return format(date, 'yyyy-MM-dd HH:mm:ss');
+    }
 
-onMounted(() => {
-})
+    onMounted(() => {
+        getLists()
+        listAreaTree({}).then((res) => {
+            options.areaOptions = res
+        })
+    })
 </script>
diff --git a/webapp/src/views/fin/txn/deduction.vue b/webapp/src/views/fin/txn/deduction.vue
index 4e4d0d5df33782fd1746cc4c692b91315568e5e6..3634aa77f8b34de407ac03d50eaa7c4f36e7245e 100644
--- a/webapp/src/views/fin/txn/deduction.vue
+++ b/webapp/src/views/fin/txn/deduction.vue
@@ -1,26 +1,94 @@
 <template>
     <div class="index-lists">
         <el-card class="!border-none mt-4" shadow="never">
-            <div>
-                <el-button v-perms="['fin:debt:add']" type="primary" @click="handleAdd()">
-                    <template #icon>
-                        <icon name="el-icon-Plus" />
-                    </template>
-                    新增
-                </el-button>
+            <el-form ref="formRef" class="mb-[-16px]" :model="queryParams" :inline="true">
+                <el-form-item label="区域">
+                    <el-tree-select
+                            clearable
+                            v-model="queryParams.areaId"
+                            :data="options.areaOptions"
+                            :render-after-expand="false"
+                            :check-strictly="true"
+                            :props="{ label: 'name', children: 'children' }"
+                            node-key="id"
+                    />
+                </el-form-item>
+                <el-form-item label="房屋">
+                    <el-input class="w-[150px]" v-model="queryParams.houseName" clearable placeholder="请输入房屋"/>
+                </el-form-item>
+                <el-form-item label="业主">
+                    <el-input class="w-[150px]" v-model="queryParams.ownerName" clearable placeholder="请输入业主"/>
+                </el-form-item>
+                <el-form-item label="仪表地址">
+                    <el-input class="w-[150px]" v-model="queryParams.address" clearable placeholder="请输入仪表地址"/>
+                </el-form-item>
+                <el-form-item>
+                    <el-button type="primary" @click="resetPage">查询</el-button>
+                    <el-button @click="resetParams">重置</el-button>
+                </el-form-item>
+            </el-form>
+        </el-card>
+        <el-card class="!border-none mt-4" shadow="never">
+            <el-table
+                    class="mt-4"
+                    size="large"
+                    style="height: calc(100vh - 339px)"
+                    v-loading="pager.loading"
+                    :data="pager.lists"
+            >
+                <el-table-column label="区域" prop="areaName" min-width="110" />
+                <el-table-column label="房屋" prop="houseName" min-widtha="110" />
+                <el-table-column label="仪表地址" prop="address" min-width="110" />
+                <el-table-column label="业主" prop="address" min-width="110" />
+                <el-table-column label="仪表类型" prop="meterType" min-width="110" />
+                <el-table-column label="上期度数" prop="meterType" min-width="110" />
+                <el-table-column label="本期度数" prop="meterType" min-width="110" />
+                <el-table-column label="本期用量" prop="meterType" min-width="110" />
+                <el-table-column label="扣费时间" prop="amount" min-width="110" />
+                <el-table-column label="单价" prop="amount" min-width="110" />
+                <el-table-column label="总金额" prop="amount" min-width="110" />
+                <el-table-column label="多费率明细" prop="amount" min-width="110" />
+                <el-table-column label="倍率" prop="paymentTime" min-width="110" />
+            </el-table>
+            <div class="flex justify-end mt-4">
+                <pagination v-model="pager" @change="getLists" />
             </div>
-            {{'#####################'}}
         </el-card>
     </div>
 </template>
-<script lang="ts" setup name="txnDeduction">
+<script lang="ts" setup name="txnEcb">
+
+    import { listAreaTree} from '@/api/fin/common'
+    import { usePaging } from '@/hooks/usePaging'
+    import { listDeduct } from '@/api/fin/report'
+    import {format} from 'date-fns';
+
+    const queryParams = reactive({
+        id: '',
+        areaId: '',
+        houseName: '',
+        ownerName: '',
+        meterType: '',
+        feeAction: '',
+    })
 
-import feedback from '@/utils/feedback'
+    const { pager, getLists, resetPage, resetParams } = usePaging({
+        fetchFun: listDeduct,
+        params: queryParams
+    })
 
-const queryParams = reactive({
+    const options = reactive({
+        areaOptions: [],
+    })
 
-})
+    const formatDate = (date: any) => {
+        return format(date, 'yyyy-MM-dd HH:mm:ss');
+    }
 
-onMounted(() => {
-})
+    onMounted(() => {
+        getLists()
+        listAreaTree({}).then((res) => {
+            options.areaOptions = res
+        })
+    })
 </script>
diff --git a/webapp/src/views/fin/txn/ec.vue b/webapp/src/views/fin/txn/ec.vue
index 538f976c4896394de8d1a971c2d8d58ecbb09adb..da40c8fe767247ae8208202005d9b3bc4459edd5 100644
--- a/webapp/src/views/fin/txn/ec.vue
+++ b/webapp/src/views/fin/txn/ec.vue
@@ -1,26 +1,98 @@
 <template>
     <div class="index-lists">
         <el-card class="!border-none mt-4" shadow="never">
-            <div>
-                <el-button v-perms="['fin:debt:add']" type="primary" @click="handleAdd()">
-                    <template #icon>
-                        <icon name="el-icon-Plus" />
-                    </template>
-                    新增
-                </el-button>
+            <el-form ref="formRef" class="mb-[-16px]" :model="queryParams" :inline="true">
+                <el-form-item label="时间">
+                    <el-date-picker
+                            v-model="queryParams.peroid"
+                            type="daterange"
+                            range-separator="-"
+                            format="YYYY-MM-DD"
+                            value-format="YYYY-MM-DD"
+                            start-placeholder="开始时间"
+                            end-placeholder="结束时间"
+                            clearable
+                            style="width:180px"
+                    ></el-date-picker>
+                </el-form-item>
+                <el-form-item label="区域">
+                    <el-tree-select
+                            clearable
+                            v-model="queryParams.areaId"
+                            :data="options.areaOptions"
+                            :render-after-expand="false"
+                            :check-strictly="true"
+                            :props="{ label: 'name', children: 'children' }"
+                            node-key="id"
+                    />
+                </el-form-item>
+                <el-form-item label="房屋">
+                    <el-input class="w-[150px]" v-model="queryParams.houseName" clearable placeholder="请输入房屋"/>
+                </el-form-item>
+                <el-form-item label="仪表类型" prop="ownerName">
+                    <el-select class="w-[280px]" v-model="queryParams.meterType">
+                        <el-option label="电表" value="电表" />
+                        <el-option label="热水表" value="热水表" />
+                        <el-option label="冷水表" value="冷水表" />
+                    </el-select>
+                </el-form-item>
+                <el-form-item>
+                    <el-button type="primary" @click="resetPage">查询</el-button>
+                    <el-button @click="resetParams">重置</el-button>
+                </el-form-item>
+            </el-form>
+        </el-card>
+        <el-card class="!border-none mt-4" shadow="never">
+            <el-table
+                    class="mt-4"
+                    size="large"
+                    style="height: calc(100vh - 339px)"
+                    v-loading="pager.loading"
+                    :data="pager.lists"
+            >
+                <el-table-column label="区域" prop="areaName" min-width="110" />
+                <el-table-column label="房屋" prop="houseName" min-widtha="110" />
+                <el-table-column label="仪表地址" prop="address" min-width="110" />
+                <el-table-column label="用能量" prop="ownerName" min-width="110" />
+                <el-table-column label="用能分析" prop="usageTotal" min-width="110" />
+                <el-table-column label="电费余额" prop="purseAmount" min-width="110" />
+<!--                <el-table-column label="单一计费余额" prop="startDate" min-width="110" />-->
+            </el-table>
+            <div class="flex justify-end mt-4">
+                <pagination v-model="pager" @change="getLists" />
             </div>
-            {{'#####################'}}
         </el-card>
     </div>
 </template>
-<script lang="ts" setup name="txnEc">
+<script lang="ts" setup name="txnEcb">
+
+    import { listAreaTree} from '@/api/fin/common'
+    import { usePaging } from '@/hooks/usePaging'
+    import { listEcs, statsRecharge, listRecharge, listDeduct, listSubsidy, listRefund, listShared } from '@/api/fin/report'
+    import {format} from 'date-fns';
 
-import feedback from '@/utils/feedback'
+    const queryParams = reactive({
+        id: '',
+        areaId: '',
+        houseName: '',
+        ownerName: '',
+        meterType: '',
+        feeAction: '',
+    })
 
-const queryParams = reactive({
+    const { pager, getLists, resetPage, resetParams } = usePaging({
+        fetchFun: listEcs,
+        params: queryParams
+    })
 
-})
+    const options = reactive({
+        areaOptions: [],
+    })
 
-onMounted(() => {
-})
+    onMounted(() => {
+        getLists()
+        listAreaTree({}).then((res) => {
+            options.areaOptions = res
+        })
+    })
 </script>
diff --git a/webapp/src/views/fin/txn/ecb.vue b/webapp/src/views/fin/txn/ecb.vue
index 05a2c5290b25233475b32bb01a2b8ce5585df682..7e80bf5de835f3227404a9f5847ecc7536f90616 100644
--- a/webapp/src/views/fin/txn/ecb.vue
+++ b/webapp/src/views/fin/txn/ecb.vue
@@ -13,8 +13,8 @@
                             node-key="id"
                     />
                 </el-form-item>
-                <el-form-item label="厂房">
-                    <el-input class="w-[150px]" v-model="queryParams.houseName" clearable placeholder="请输入厂房"/>
+                <el-form-item label="房屋">
+                    <el-input class="w-[150px]" v-model="queryParams.houseName" clearable placeholder="请输入房屋"/>
                 </el-form-item>
                 <el-form-item label="客户" prop="ownerName">
                     <el-input class="w-[150px]" v-model="queryParams.ownerName" clearable placeholder="请输入客户"/>
@@ -35,54 +35,50 @@
             <div class="flex" style="justify-content: space-around">
                 <div>
                     <div>应收金额</div>
-                    <div>¥10122.60</div>
+                    <div>¥{{statsEcsData.billAmount}}</div>
                 </div>
                 <div>
                     <div>应缴金额</div>
-                    <div>¥10122.60</div>
+                    <div>¥{{statsEcsData.paidAmount}}</div>
                 </div>
                 <div>
                     <div>未缴金额</div>
-                    <div>¥10122.60</div>
+                    <div>¥{{statsEcsData.unpaidAmount}}</div>
                 </div>
                 <div>
                     <div>已退金额</div>
-                    <div>¥10122.60</div>
+                    <div>¥{{statsEcsData.refundAmount}}</div>
                 </div>
                 <div>
                     <div>减免金额</div>
-                    <div>¥10122.60</div>
-                </div>
-                <div>
-                    <div>收费率</div>
-                    <div>¥10122.60</div>
+                    <div>¥{{statsEcsData.reductionAmount}}</div>
                 </div>
                 <div>
                     <div>总用量</div>
-                    <div>¥10122.60</div>
+                    <div>{{statsEcsData.usageTotal}}</div>
                 </div>
             </div>
         </el-card>
         <el-card class="!border-none mt-4" shadow="never">
-            <el-button v-perms="['txn:ecb:add']" type="primary" @click="handleOnAccount()">
+            <el-button v-perms="['txn:ecb:add']" type="primary" @click="handleOnAccount" :disabled="multiple">
                 <template #icon>
                     <icon name="el-icon-Plus" />
                 </template>
                 挂账
             </el-button>
-            <el-button v-perms="['txn:ecb:add']" type="primary" @click="handleReliefRule()">
-                <template #icon>
-                    <icon name="el-icon-Edit" />
-                </template>
-                减免规则
-            </el-button>
-            <el-button v-perms="['txn:ecb:add']" type="primary" @click="handleCreateBill()">
+<!--            <el-button v-perms="['txn:ecb:add']" type="primary" @click="handleReliefRule()">-->
+<!--                <template #icon>-->
+<!--                    <icon name="el-icon-Edit" />-->
+<!--                </template>-->
+<!--                减免规则-->
+<!--            </el-button>-->
+            <el-button v-perms="['txn:ecb:add']" type="primary" @click="handleCreateBill" :disabled="multiple">
                 <template #icon>
                     <icon name="el-icon-Edit" />
                 </template>
                 生成能耗费用账单
             </el-button>
-            <el-button v-perms="['txn:debt:add']" type="danger" @click="handleDelete()">
+            <el-button v-perms="['txn:debt:add']" type="danger" @click="handleDelete" :disabled="multiple">
                 <template #icon>
                     <icon name="el-icon-Delete" />
                 </template>
@@ -91,33 +87,66 @@
             <el-table
                     class="mt-4"
                     size="large"
-                    style="height: calc(100vh - 349px)"
+                    style="height: calc(100vh - 459px)"
                     v-loading="pager.loading"
                     :data="pager.lists"
+                    @selection-change="handleSelectionChange"
             >
-                <el-table-column label="区域" prop="schemeName" min-width="110" />
-                <el-table-column label="房屋" prop="schemeName" min-width="110" />
-                <el-table-column label="客户" prop="schemeName" min-width="110" />
-                <el-table-column label="分笔交易方式" prop="schemeName" min-width="140" />
-                <el-table-column label="仪表类型" prop="schemeName" min-width="110" />
-                <el-table-column label="表号" prop="schemeName" min-width="110" />
-                <el-table-column label="备注" prop="schemeName" min-width="110" />
-                <el-table-column label="起始时间" prop="schemeName" min-width="110" />
-                <el-table-column label="操作" width="310" fixed="right">
+                <el-table-column type="selection" width="55" align="center" />
+                <el-table-column label="区域" prop="areaName" min-width="110" />
+                <el-table-column label="房屋" prop="houseName" min-width="110" />
+                <el-table-column label="客户" prop="ownerName" min-width="110" />
+<!--                <el-table-column label="分笔交易方式" prop="schemeName" min-width="140" />-->
+                <el-table-column label="仪表类型" prop="meterType" min-width="110" />
+<!--                <el-table-column label="表号" prop="schemeName" min-width="110" />-->
+<!--                <el-table-column label="备注" prop="schemeName" min-width="110" />-->
+                <el-table-column label="起始时间" prop="startDate" min-width="110" />
+                <el-table-column label="结束时间" prop="endDate" min-width="110" />
+                <el-table-column label="账单金额" prop="billAmount" min-width="110" />
+                <el-table-column label="未支付金额" prop="unpaidAmount" min-width="110" />
+                <el-table-column label="上期数" prop="usageStart" min-width="110" />
+                <el-table-column label="本期数" prop="usageEnd" min-width="110" />
+                <el-table-column label="用量" prop="usageTotal" min-width="110" />
+                <el-table-column label="支付时间" prop="paymentTime" min-width="110" />
+                <el-table-column label="收款人" prop="payee" min-width="110" />
+                <el-table-column label="支付方式" prop="paymentMethod" min-width="110" />
+                <el-table-column label="操作" width="200" fixed="right">
                     <template #default="{ row }">
-                        <el-button
-                                v-perms="['fin:record:list']"
-                                type="primary"
-                                link
-                                @click="handleRecord(row)"
+                        <el-dropdown trigger="click" v-perms="[
+                                            'fin:record:payRecordList',
+                                            'fin:record:changeRecordList',
+                                        ]"
+                                     class="ml-2 mt-1"
                         >
-                            记录
-                        </el-button>
+                            <el-button link type="info">
+                                记录
+                                <icon name="el-icon-arrow-down" />
+                            </el-button>
+                            <template #dropdown #default="{ row }">
+                                <el-dropdown-menu>
+                                    <el-dropdown-item v-perms="['fin:bill:payRecordList']">
+                                                    <span class="el-dropdown-item__content" @click="handleFeeChange(row)">
+                                                        费用更改记录
+                                                    </span>
+                                    </el-dropdown-item>
+                                    <el-dropdown-item v-perms="['fin:bill:changeRecordList']" divided>
+                                                    <span class="el-dropdown-item__content" @click="handleFeePay(row)">
+                                                        费用缴纳记录
+                                                    </span>
+                                    </el-dropdown-item>
+                                    <el-dropdown-item v-perms="['fin:bill:changeRecordList']" divided>
+                                                    <span class="el-dropdown-item__content" @click="handleBillRefund(row)">
+                                                        账单退费记录
+                                                    </span>
+                                    </el-dropdown-item>
+                                </el-dropdown-menu>
+                            </template>
+                        </el-dropdown>
                         <el-button
                                 v-perms="['fin:ecs:edit']"
                                 type="primary"
                                 link
-                                @click="handleEdit(row)"
+                                @click="handleOnAccount(row)"
                         >
                             挂账
                         </el-button>
@@ -132,24 +161,75 @@
                     </template>
                 </el-table-column>
             </el-table>
+            <div class="flex justify-end mt-4">
+                <pagination v-model="pager" @change="getLists" />
+            </div>
         </el-card>
-        <onAccount-drawer
+        <onAccount-popup
                 v-if="showOnAccount"
                 ref="onAccountRef"
                 @success="getLists"
                 @close="showOnAccount = false"
         />
+        <create-bill-popup
+                v-if="showBill"
+                ref="createBillRef"
+                @success="getLists"
+                @close="showBill = false"
+        />
+        <fee-change-popup
+                v-if="showFeeChange"
+                ref="feeChangeRef"
+                @close="showFeeChange = false"
+        />
+        <fee-pay-popup
+                v-if="showFeePay"
+                ref="feePayRef"
+                @close="showFeePay = false"
+        />
+        <bill-refund-popup
+                v-if="showBillRefund"
+                ref="billRefundRef"
+                @close="showBillRefund = false"
+        />
     </div>
 </template>
 <script lang="ts" setup name="txnEcb">
 
 import { listAreaTree} from '@/api/fin/common'
 import { usePaging } from '@/hooks/usePaging'
-import { ecsDelete, ecsLists } from '@/api/fin/ecs'
-import OnAccountDrawer from './onAccount.vue'
+import OnAccountPopup from './ecb/onAccount.vue'
+import CreateBillPopup from './ecb/createBill.vue'
+import FeeChangePopup from './ecb/feeChange.vue'
+import FeePayPopup from './ecb/feePay.vue'
+import BillRefundPopup from './ecb/billRefund.vue'
+import { statsEcs, listEcs } from '@/api/fin/report'
+import feedback from '@/utils/feedback'
+import {format} from 'date-fns';
 
-const onAccountRef = shallowRef<InstanceType<typeof OnAccountDrawer>>()
+const onAccountRef = shallowRef<InstanceType<typeof OnAccountPopup>>()
+const createBillRef = shallowRef<InstanceType<typeof CreateBillPopup>>()
+const feeChangeRef = shallowRef<InstanceType<typeof FeeChangePopup>>()
+const feePayRef = shallowRef<InstanceType<typeof FeePayPopup>>()
+const billRefundRef = shallowRef<InstanceType<typeof BillRefundPopup>>()
 const showOnAccount = ref(false)
+const showBill = ref(false)
+const showFeePay = ref(false)
+const showFeeChange = ref(false)
+const showBillRefund = ref(false)
+const ids = ref([])
+const single = ref(true)
+const multiple = ref(true)
+const statsEcsData = reactive({
+    billAmount: 0,
+    unpaidAmount: 0,
+    paidAmount: 0,
+    lateAmount: 0,
+    reductionAmount: 0,
+    usageTotal: 0,
+    refundAmount: 0
+})
+
 
 const queryParams = reactive({
     id: '',
@@ -161,7 +241,7 @@ const queryParams = reactive({
 })
 
 const { pager, getLists, resetPage, resetParams } = usePaging({
-    fetchFun: ecsLists,
+    fetchFun: listEcs,
     params: queryParams
 })
 
@@ -172,32 +252,62 @@ const options = reactive({
 const handleOnAccount = async () => {
     showOnAccount.value = true
     await nextTick()
-    onAccountRef.value?.open('add')
+    onAccountRef.value?.open(ids)
 }
 
-// const handleReliefRule = async (data: any) => {
-//     showEdit.value = true
-//     await nextTick()
-//     editRef.value?.open('edit')
-//     editRef.value?.getDetail(data)
-// }
-//
-// const handleCreateBill = async (data: any) => {
-//     showEdit.value = true
-//     await nextTick()
-//     editRef.value?.open('edit')
-//     editRef.value?.getDetail(data)
-// }
-//
-// const handleDelete = async (id: number) => {
-//     await feedback.confirm('确定要删除？')
-//     await ecsDelete({ id })
-//     feedback.msgSuccess('删除成功')
-//     getLists()
-// }
+const handleCreateBill = async()=>{
+    showBill.value = true;
+    await nextTick()
+    createBillRef.value?.open(ids)
+}
 
+const handleFeeChange = async()=>{
+    showFeeChange.value = true;
+    await nextTick()
+    feeChangeRef.value?.open(ids)
+}
+
+const handleFeePay = async()=>{
+    showFeePay.value = true;
+    await nextTick()
+    feePayRef.value?.open(ids)
+}
+
+const handleBillRefund = async()=>{
+    showBillRefund.value = true;
+    await nextTick()
+    billRefundRef.value?.open(ids)
+}
+
+// 多选框选中数据
+const handleSelectionChange = async (selection: any) => {
+    ids.value = selection.map(item => item.id);
+    single.value = selection.length!==1;
+    multiple.value = !selection.length;
+}
+
+const handleDelete = async (id: number) => {
+    await feedback.confirm('确定要删除？')
+    // await deleteHierarchy({ id })
+    feedback.msgSuccess('删除成功')
+    getLists()
+}
+
+const formatDate = (date: any) => {
+    return format(date, 'yyyy-MM-dd HH:mm:ss');
+}
 
 onMounted(() => {
+    statsEcs({}).then((res) => {
+        statsEcsData.billAmount = res.billAmount
+        statsEcsData.unpaidAmount = res.unpaidAmount
+        statsEcsData.paidAmount = res.paidAmount
+        statsEcsData.lateAmount = res.lateAmount
+        statsEcsData.reductionAmount = res.reductionAmount
+        statsEcsData.usageTotal = res.usageTotal
+        statsEcsData.refundAmount = res.refundAmount
+    })
+    getLists()
     listAreaTree({}).then((res) => {
         options.areaOptions = res
     })
diff --git a/webapp/src/views/fin/txn/ecb/feeChange.vue b/webapp/src/views/fin/txn/ecb/feeChange.vue
new file mode 100644
index 0000000000000000000000000000000000000000..c021750d489d2cbe1a28a342f8380a0571b53026
--- /dev/null
+++ b/webapp/src/views/fin/txn/ecb/feeChange.vue
@@ -0,0 +1,65 @@
+<template>
+    <div class="edit-popup">
+        <popup ref="popupRef" :title="popupTitle" :async="true" width="1000px" @confirm="handleClose" @close="handleClose">
+            <el-table :data="pager.lists" size="large">
+                <el-table-column label="更改前金额" prop="id" min-width="100" />
+                <el-table-column label="更改后金额" prop="address" min-width="100" />
+                <el-table-column label="更改前开始日期" prop="username" min-width="100" />
+                <el-table-column label="更改后开始日期" prop="nickname" min-width="150" />
+                <el-table-column label="更改前结束日期" prop="createTime" min-width="100" />
+                <el-table-column label="更改后结束日期" prop="lastLoginTime" min-width="100" />
+                <el-table-column label="备注" prop="lastLoginIp" min-width="100" />
+                <el-table-column label="操作人" prop="lastLoginIp" min-width="100" />
+            </el-table>
+        </popup>
+    </div>
+</template>
+<script lang="ts" setup>
+    import type {FormInstance} from 'element-plus'
+    import { usePaging } from '@/hooks/usePaging'
+    import { listEcs } from '@/api/fin/report'
+    import Popup from '@/components/popup/index.vue'
+    import {ref} from 'vue'
+    import feedback from '@/utils/feedback'
+    import {format} from 'date-fns';
+
+    const emit = defineEmits(['success', 'close'])
+    const mode = ref('add')
+    const popupRef = shallowRef<InstanceType<typeof Popup>>()
+    const open = (ids: any) => {
+        popupRef.value?.open()
+    }
+
+    // 表单数据
+    const formData = ref([
+        {
+            remark: '',
+        }
+    ])
+
+    const popupTitle = computed(() => {
+        return '记录'
+    })
+
+    const { pager, getLists, resetPage, resetParams } = usePaging({
+        fetchFun: listEcs,
+    })
+
+    const handleClose = () => {
+        emit('close')
+    }
+    const handleSubmit = async () => {
+        popupRef.value?.close()
+        feedback.msgSuccess('操作成功')
+        emit('success')
+    }
+
+    const formatDate = (date: any) => {
+        return format(date, 'yyyy-MM-dd HH:mm:ss');
+    }
+
+    defineExpose({
+        open,
+    })
+
+</script>
